## splash 1.0.0

=== DESCRIPTION ===
Package: splash
Title: Simple Process-Led Algorithms for Simulating Habitats
Version: 1.0.0
Authors@R: c(
    person(given = "Tyler W.",
           family = "Davis",
           role = "aut",
           comment = c(ORCID = "0000-0003-4312-919X")),
    person(given = "Iain Colin",
           family = "Prentice",
           role = "aut",
           email = "c.prentice@imperial.ac.uk",
           comment = c(ORCID = "0000-0002-1296-6764")),
    person(given = "Benjamin D.",
           family = "Stocker",
           role = "aut",
           comment = c(ORCID = "0000-0003-2697-9096")),
    person(given = "Rebecca T.",
           family = "Thomas",
           role = "aut"),
    person(given = "Rhys J.",
           family = "Whitley",
           role = "aut"),
    person(given = "Han",
           family = "Wang",
           role = "aut",
           comment = c(ORCID = "0000-0003-2482-1818")),
    person(given = "Bradley J.",
           family = "Evans",
           role = "aut"),
    person(given = "Angela V.",
           family = "Gallego-Sala",
           role = "aut"),
    person(given = "Martin T.",
           family = "Sykes",
           role = "aut"),
    person(given = "Wolfgang",
           family = "Cramer",
           role = "aut",
           comment = c(ORCID = "0000-0002-9205-5812")),
    person(given = "Roberto",
           family = "Villegas-Diaz",
           role = c("cre"),
           email = "r.villegas-diaz@reading.ac.uk",
           comment = c(ORCID = "0000-0001-5036-8661")))
Description: This program calculates bioclimatic indices and fluxes (radiation, 
    evapotranspiration, soil moisture) for use in studies of ecosystem function, 
    species distribution, and vegetation dynamics under changing climate 
    scenarios. Predictions are based on a minimum of required inputs: latitude, 
    precipitation, air temperature, and cloudiness. 
    Davis et al. (2017) <doi:10.5194/gmd-10-689-2017>.
License: GPL-3
Encoding: UTF-8
RoxygenNote: 7.1.1
Depends: R (>= 3.2.3)
Language: en-GB
URL: https://github.com/villegar/splash/,
        https://villegar.github.io/splash/,
        https://bitbucket.org/labprentice/splash/
BugReports: https://github.com/villegar/splash/issues/
NeedsCompilation: no
Packaged: 2021-09-01 12:02:04 UTC; roberto.villegas-diaz
Author: Tyler W. Davis [aut] (<https://orcid.org/0000-0003-4312-919X>),
  Iain Colin Prentice [aut] (<https://orcid.org/0000-0002-1296-6764>),
  Benjamin D. Stocker [aut] (<https://orcid.org/0000-0003-2697-9096>),
  Rebecca T. Thomas [aut],
  Rhys J. Whitley [aut],
  Han Wang [aut] (<https://orcid.org/0000-0003-2482-1818>),
  Bradley J. Evans [aut],
  Angela V. Gallego-Sala [aut],
  Martin T. Sykes [aut],
  Wolfgang Cramer [aut] (<https://orcid.org/0000-0002-9205-5812>),
  Roberto Villegas-Diaz [cre] (<https://orcid.org/0000-0001-5036-8661>)
Maintainer: Roberto Villegas-Diaz <r.villegas-diaz@reading.ac.uk>
Repository: CRAN
Date/Publication: 2021-09-02 22:00:02 UTC

## splash 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: splash
 Title: Simple Process-Led Algorithms for Simulating Habitats
-Version: 1.0.0
+Version: 1.0.1
 Authors@R: c(
     person(given = "Tyler W.",
            family = "Davis",
@@ -55,11 +55,11 @@
 Depends: R (>= 3.2.3)
 Language: en-GB
 URL: https://github.com/villegar/splash/,
-        https://villegar.github.io/splash/,
+        https://splash.robertovillegas-diaz.com/,
         https://bitbucket.org/labprentice/splash/
 BugReports: https://github.com/villegar/splash/issues/
 NeedsCompilation: no
-Packaged: 2021-09-01 12:02:04 UTC; roberto.villegas-diaz
+Packaged: 2021-09-03 09:14:29 UTC; roberto.villegas-diaz
 Author: Tyler W. Davis [aut] (<https://orcid.org/0000-0003-4312-919X>),
   Iain Colin Prentice [aut] (<https://orcid.org/0000-0002-1296-6764>),
   Benjamin D. Stocker [aut] (<https://orcid.org/0000-0003-2697-9096>),
@@ -73,4 +73,4 @@
   Roberto Villegas-Diaz [cre] (<https://orcid.org/0000-0001-5036-8661>)
 Maintainer: Roberto Villegas-Diaz <r.villegas-diaz@reading.ac.uk>
 Repository: CRAN
-Date/Publication: 2021-09-02 22:00:02 UTC
+Date/Publication: 2021-09-03 10:30:02 UTC

## splash 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: splash
 Title: Simple Process-Led Algorithms for Simulating Habitats
-Version: 1.0.1
+Version: 1.0.2
 Authors@R: c(
     person(given = "Tyler W.",
            family = "Davis",
@@ -41,7 +41,7 @@
     person(given = "Roberto",
            family = "Villegas-Diaz",
            role = c("cre"),
-           email = "r.villegas-diaz@reading.ac.uk",
+           email = "r.villegas-diaz@outlook.com",
            comment = c(ORCID = "0000-0001-5036-8661")))
 Description: This program calculates bioclimatic indices and fluxes (radiation, 
     evapotranspiration, soil moisture) for use in studies of ecosystem function, 
@@ -51,7 +51,7 @@
     Davis et al. (2017) <doi:10.5194/gmd-10-689-2017>.
 License: GPL-3
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 Depends: R (>= 3.2.3)
 Language: en-GB
 URL: https://github.com/villegar/splash/,
@@ -59,7 +59,7 @@
         https://bitbucket.org/labprentice/splash/
 BugReports: https://github.com/villegar/splash/issues/
 NeedsCompilation: no
-Packaged: 2021-09-03 09:14:29 UTC; roberto.villegas-diaz
+Packaged: 2022-10-12 13:15:30 UTC; robertovillegas-diaz
 Author: Tyler W. Davis [aut] (<https://orcid.org/0000-0003-4312-919X>),
   Iain Colin Prentice [aut] (<https://orcid.org/0000-0002-1296-6764>),
   Benjamin D. Stocker [aut] (<https://orcid.org/0000-0003-2697-9096>),
@@ -71,6 +71,6 @@
   Martin T. Sykes [aut],
   Wolfgang Cramer [aut] (<https://orcid.org/0000-0002-9205-5812>),
   Roberto Villegas-Diaz [cre] (<https://orcid.org/0000-0001-5036-8661>)
-Maintainer: Roberto Villegas-Diaz <r.villegas-diaz@reading.ac.uk>
+Maintainer: Roberto Villegas-Diaz <r.villegas-diaz@outlook.com>
 Repository: CRAN
-Date/Publication: 2021-09-03 10:30:02 UTC
+Date/Publication: 2022-10-12 15:20:05 UTC

## splash 2.5.0

=== build/Makefile ===
##-------------------------------------------------------------------##
##     Makefile for compiling SPLASH and linking with                ##
##      required libraries                                           ##
##				                                     ##
##     Written by Daniel Price                                       ##
##     University of Exeter, UK,     2004-2008                       ##
##     Monash University, Australia, 2008-                           ##
##                                                                   ##
##     requires GNU make (on some systems this is 'gmake' instead    ##
##                        of 'make')                                 ##
##                                                                   ##
##     see the INSTALL file for detailed installation instructions   ##
##-------------------------------------------------------------------##

.KEEP_STATE:

KNOWN_SYSTEM=no
SRCDIR=../src
BINDIR=../bin
TESTDIR=../tests
VPATH=$(SRCDIR) $(SRCDIR)/H5Part
SHELL=/bin/bash

#
# some default settings for unix systems
#
FC= 
FFLAGS=
#
# change the line below if SPLASH does not find the X11 libraries
# (some settings of the SYSTEM variable for specific machines overwrite this)
#
# X11LIBS= -L/usr/X11R6/lib64 -lX11
X11LIBS= -L/usr/X11R6/lib -lX11

#--------------------------------------------------------------
# here we choose the backend plotting library for splash
# (giza is the default backend for splash v2.x, but can
#  still be compiled with PGPLOT, just with disabled features)
#--------------------------------------------------------------
ifneq ($(BACKEND), pgplot)
#-- C A I R O --
   GIZADIR= ../giza
   VPATH+= $(GIZADIR)/interface/
   PLOTLIB= giza-fortran.F90 plotlib_giza.f90
   PGPLOTLIBS = -L$(GIZADIR)/lib -lgiza -lcairo -lX11
   CFLAGS= -fPIC -Wall -Wextra -O3 -g
   CC = gcc
else
#-- P G P L O T --
   PLOTLIB= plotlib_pgplot.f90
#
# change the line below depending on where/how you have installed PGPLOT
# (some settings of the SYSTEM variable for specific machines overwrite this)
#
   PGPLOTLIBS = -L$(PGPLOT_DIR) -lpgplot -lpng
endif
#--------------------------------------------------------------

#
# If you need the HDF5 libraries, edit the lines below
# possibly adding a -L/libpath/ and a -I/includepath/
#
HDF5LIBS    = -L$(HDF5ROOT)/lib -lhdf5
HDF5INCLUDE = -I$(HDF5ROOT)/include
H5PART_LIBS    = -L$(H5PART_DIR)/lib -lpH5Part
H5PART_INCLUDE = -I$(H5PART_DIR)/include
#
# this file contains system-dependent routines like getarg, iargc etc.
#
SYSTEMFILE= system_f2003.f90
#
# this can be used to static link the pgplot libraries if all else fails
#
STATICLIBS=
#
# set the parallel flag to 'yes' to compile with openMP directives
#
#PARALLEL=no
ifndef OPENMP
OPENMP=yes
endif
#
# the openMP flags should be set in the lines defining your system type
# (ie. leave line below blank)
OMPFLAGS=
#
# the endian flag can be used to compile the code to read BIG or LITTLE endian data
# some compilers also allow this to be done at runtime (e.g. g95, ifort) by setting
# an environment variable appropriately (e.g. G95_ENDIAN or F_UFMTENDIAN)
#
#ENDIAN=
#ENDIAN='BIG'
#ENDIAN='LITTLE'
#
# default destination for installed binaries
#
DESTDIR=
PREFIX=/usr/local/
#
# default C compiler
#
ifndef CC
CC = gcc
endif
#--------------------------------------------------------------
#  the following are general settings for particular compilers
#
#  set the environment variable 'SYSTEM' to one of those
#  listed to use the appropriate settings
#
#  e.g. in tcsh use
#  setenv SYSTEM 'g95'
#
#  in bash the equivalent is
#  export SYSTEM='g95'
#
#--------------------------------------------------------------

ifeq ($(SYSTEM), gfortran)
#  gfortran compiler (part of gcc 4.x.x)
   FC= gfortran
   FFLAGS= -O3 -frecord-marker=4
   DBLFLAGS= -fdefault-real-8 -fdefault-double-8
   SYSTEMFILE= system_f2003.f90
   DEBUGFLAG= -Wall -Wextra -pedantic -g -frange-check -fcheck=all -fbacktrace \
              -finit-real=NaN #-ffpe-trap=invalid,zero,overflow
   OMPFLAGS= -fopenmp
   ENDIANFLAGBIG= -fconvert=big-endian
   ENDIANFLAGLITTLE= -fconvert=little-endian
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),g95)
#  using the g95 compiler
   FC= g95
   FFLAGS= -O3 -ffast-math
   DBLFLAGS= -r8
   SYSTEMFILE= system_f2003.f90 # this is for Fortran 2003 compatible compilers
   DEBUGFLAG= -Wall -Wextra -Wno=165 -g -fbounds-check -ftrace=full -freal=NaN
   ENDIANFLAGBIG= -fendian='BIG'
   ENDIANFLAGLITTLE= -fendian='LITTLE'
   PARALLEL= no
   CC = gcc -m32
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),nagf95)
#  NAG f95 compiler
   FC= f95
   FFLAGS= -O3
   DBLFLAGS= -r8
   SYSTEMFILE= system_unix_NAG.f90
   PARALLEL= no
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),sunf95)
#  sun f95 compiler on linux
   FC= sunf95
   FFLAGS= -fast -ftrap=%none
   OMPFLAGS= -openmp
   DBLFLAGS= -xtypemap=real:64,double:64
   DEBUGFLAG= -g -C -w4 -errtags -erroff=COMMENT_1582,COMMENT_1744 -ftrap=%all
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -xfilebyteorder=big16:%all
   ENDIANFLAGLITTLE= -xfilebyteorder=little16:%all
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),ifort)
#  this is for the intel fortran compiler (version 10)
   FC= ifort
   FFLAGS= -O3 -nbs -i_dynamic
   OMPFLAGS= -openmp
   DBLFLAGS= -r8
   DEBUGFLAG= -C -g
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
# or use setenv F_UFMTENDIAN=big or little at runtime
   KNOWN_SYSTEM=yes
   CC=icc
   CFLAGS=-Wall -O3 -fPIC
endif

ifeq ($(SYSTEM),ifort8)
#  this is for the intel fortran compiler (version 8)
   FC= ifort
   FFLAGS= -O3 -Vaxlib -nbs
   OMPFLAGS= -openmp
   DBLFLAGS= -r8
   DEBUGFLAG= -C -g
   SYSTEMFILE= system_unix.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
# or use setenv F_UFMTENDIAN=big or little at runtime
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),pgf90)
#  this is for the Portland Group Fortran 90 compiler (tested with version 7.2-5)
   FC= pgf90
   FFLAGS= -fast -mcmodel=medium -Mbackslash -Ktrap=none
   DBLFLAGS= -r8
   DEBUGFLAG= -C -g -gopt -Mbounds -Mchkfpstk -Mchkptr -Mchkstk -Mcoff \
              -Mdwarf1 -Mdwarf2 -Melf -Mpgicoff -traceback
   OMPFLAGS= -mp
   SYSTEMFILE= system_unix.f90
   ENDIANFLAGBIG= -Mbyteswapio  # only works on a little-endian machine
   ENDIANFLAGLITTLE=
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),pathf95)
#  this is for the Pathscale f95 compiler
   FC= pathf95
   FFLAGS= -Ofast -mcmodel=medium
   DBLFLAGS= -r8
   DEBUGFLAG= -C -g
   OMPFLAGS= -openmp
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
   KNOWN_SYSTEM=yes
endif

#--------------------------------------------------------------
#
# the following presets are machine-specific
# (ie. relate to both the compiler and a specific
#      installation of pgplot)
#
#--------------------------------------------------------------

ifeq ($(SYSTEM),ukaff1a)
#  this is for ukaff1a
   FC= xlf90_r #-Wl,-t
   FFLAGS= -O3 -qnoescape -qsuffix=f=f90 -qextname 
   OMPFLAGS= -qsmp=omp
   DEBUGFLAG= -C -g
   SYSTEMFILE= system_f2003.f90
   X11LIBS= -L/usr/X11R6/lib -lX11
   PGPLOTLIBS=   
   STATICLIBS= /home/dprice/pgplot/libpgplot.a /home/dprice/plot/libg2cmodified.a 
   KNOWN_SYSTEM=yes
#   EXT=_temp
endif

ifeq ($(SYSTEM),ukaff1b)
#  this is for the new nodes on ukaff 
   FC= pathf95
   FFLAGS= -Ofast -mcmodel=medium
   DEBUGFLAG= -C -g
   OMPFLAGS= -openmp
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
   X11LIBS= -L/home/dprice/lib -lX11 -lpng
   PGPLOTLIBS= -L/home/dprice/pgplot2 -lpgplot
   EXT=2   # call the binary something different
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),zen)
#  this is for the intel fortran compiler
   FC= ifort
   FFLAGS= -O3 -mcmodel=medium -axT -warn all #-ipo #-assume nounderscore
   OMPFLAGS= -openmp
   DEBUGFLAG= -check all -traceback -g
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -convert big_endian
   ENDIANFLAGLITTLE= -convert little_endian
   X11LIBS=-L/home/djp212/lib -lX11
   PGPLOTLIBS= -lpng #-L${PGPLOT_DIR} -lpgplot -lpng
   STATICLIBS= /home/djp212/pgplot/libpgplot.a
# or use setenv F_UFMTENDIAN=big or little at runtime
  # EXT=-dev
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),mymac)
#  these are the settings for a Mac G4 running Panther 
#  using g95 with pgplot installed via fink
   FC= g95
   FFLAGS= -O3 -ffast-math
   DEBUGFLAG= -Wall -Wextra -Wno=165 -g -fbounds-check -ftrace=full
   PGPLOTLIBS= -L/sw/lib/pgplot -lpgplot -lg2c -L/sw/lib -lpng \
          -laquaterm -lcc_dynamic -Wl,-framework -Wl,Foundation
   SYSTEMFILE= system_f2003.f90
   PARALLEL= no
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),intelmac)
#  these are the settings for an Intel Macbook running Tiger
#  using gfortran with pgplot installed via fink
   FC= gfortran
   FFLAGS= -O3 -ffast-math
   DEBUGFLAG= -Wall -Wextra -Wno=165 -g -frange-check
   PGPLOTLIBS= -L/sw/lib/pgplot -lpgplot -L/sw/lib -lpng \
          -laquaterm -Wl,-framework -Wl,Foundation -lSystemStubs
   SYSTEMFILE= system_f2003.f90
   PARALLEL= no
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM), gfortran_macosx)
#   gfortran with pgplot installed via fink
    FC= gfortran
    FFLAGS= -O3 -Wall
    PGPLOTLIBS= -L/sw/lib/pgplot -lpgplot -lg2c -L/sw/lib -lpng \
          -laquaterm # -lSystemStubs use this on OS/X Tiger
    SYSTEMFILE= system_unix.f90
    DEBUGFLAG= -g -frange-check
    OMPFLAGS= -fopenmp
    ENDIANFLAGBIG= -fconvert=big-endian
    ENDIANFLAGLITTLE= -fconvert=little-endian
    KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),myg95)
#  using the g95 compiler
   FC= myg95
   FFLAGS= -O3 -ffast-math
   X11LIBS= -L/usr/X11R6/lib64 -lX11
   PGPLOTLIBS = -L/usr/local64/pgplot -lpgplot -lpng -lg2c
   SYSTEMFILE= system_f2003.f90 # this is for Fortran 2003 compatible compilers
   ENDIANFLAGBIG= -fendian='BIG'
   ENDIANFLAGLITTLE= -fendian='LITTLE'
   DBLFLAGS= -r8
   PARALLEL= no
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),maccluster)
#  using the g95 compiler on the iMac cluster in Exeter
   ifeq ($(MACHTYPE),i386)
   #  this stuff is for building universal binaries across intel/ppc macs
      FC= myg95
      EXT= _i386
   else
      FC= g95
      EXT= _ppc
   endif
   FFLAGS= -O3 -ffast-math -Wall -Wextra -Wno=165 
   X11LIBS= -L/usr/X11R6/lib -lX11
   PGPLOTLIBS= -lSystemStubs
   STATICLIBS= /AstroUsers/djp212/pgplot/libpgplot.a
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -fendian='BIG'
   ENDIANFLAGLITTLE= -fendian='LITTLE'
   DEBUGFLAG=-fbounds-check -ftrace=full
   PARALLEL= no
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),astromac)
#  using the g95 compiler on the Astrophysics cluster in Exeter
   FC= g95
   FFLAGS= -O3 -ffast-math -Wall -Wextra -Wno=165
   X11LIBS= -L/usr/X11R6/lib -lX11
   PGPLOTLIBS= -L/opt/local/lib -lpng -lg2c
   STATICLIBS= /usr/local/pgplot/libpgplot.a
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -fendian='BIG'
   ENDIANFLAGLITTLE= -fendian='LITTLE'
   DBLFLAGS= -r8
   DEBUGFLAG=-fbounds-check -ftrace=full
   PARALLEL= no
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),spectrum)
#  sun f95 compiler on linux
   FC= f95
   FFLAGS= -fast -ftrap=%none
   OMPFLAGS= -openmp
   DBLFLAGS= -xtypemap=real:64,double:64
   DEBUGFLAG= -g -C -w4 -errtags -erroff=COMMENT_1582,COMMENT_1744 -ftrap=%all
   SYSTEMFILE= system_f2003.f90
   ENDIANFLAGBIG= -xfilebyteorder=big16:%all
   ENDIANFLAGLITTLE= -xfilebyteorder=little16:%all
   X11LIBS = -L/usr/X11R6/lib64 -lX11
   KNOWN_SYSTEM=yes
endif

ifeq ($(SYSTEM),cody)
    FC= gfortran
    FFLAGS= -O3 -Wall
    SYSTEMFILE= system_f2003.f90
    DBLFLAGS= -fdefault-real-8 -fdefault-double-8
    DEBUGFLAG= -g -frange-check
    OMPFLAGS= -fopenmp
    ENDIANFLAGBIG= -fconvert=big-endian
    ENDIANFLAGLITTLE= -fconvert=little-endian
    SNFLAGS= -L$(HOME)/tree16/Objfiles/g5 -lsw
    CFLAGS = -g -O2 -Wall -I$(HOME)/tree16/include -fbounds-check
    CC = gcc

=== giza/Makefile ===
#--------------------------------------------------------------------
#  giza - a scientific plotting library built on cairo
#
#  Copyright (c) 2010      James Wetter and Daniel Price
#  Copyright (c) 2010-2013 Daniel Price
#
#  This library is free software; and you are welcome to redistribute
#  it under the terms of the GNU General Public License
#  (GPL, see LICENSE file for details) and the provision that
#  this notice remains intact. If you modify this file, please
#  note section 2a) of the GPLv2 states that:
#
#   a) You must cause the modified files to carry prominent notices
#      stating that you changed the files and the date of any change.
#
#  This software is distributed "AS IS", with ABSOLUTELY NO WARRANTY.
#  See the GPL for specific language governing rights and limitations.
#
#  The Original code is the giza plotting library.
#
#  Contributor(s):
#       James Wetter <wetter.j@gmail.com>
#       Daniel Price <daniel.price@monash.edu> (main contact)
#
#--------------------------------------------------------------------

.PHONY: giza install
giza:
	@cd build; ${MAKE} ${MAKECMDGOALS}

%:
	@cd build; ${MAKE} ${MAKECMDGOALS}

install:
	@cd build; ${MAKE} ${MAKECMDGOALS}

clean:
	@cd build; ${MAKE} clean

=== giza/build/Makefile ===
#--------------------------------------------------------------------
#  giza - a scientific plotting library built on cairo
#  Copyright (c) 2010      James Wetter and Daniel Price
#  Copyright (c) 2010-2014 Daniel Price
#
#  This library is free software; and you are welcome to redistribute
#  it under the terms of the GNU General Public License
#  (GPL, see LICENSE file for details) and the provision that
#  this notice remains intact. If you modify this file, please
#  note section 2a) of the GPLv2 states that:
#
#   a) You must cause the modified files to carry prominent notices
#      stating that you changed the files and the date of any change.
#
#  This software is distributed "AS IS", with ABSOLUTELY NO WARRANTY.
#  See the GPL for specific language governing rights and limitations.
#
#  The Original code is the giza plotting library.
#
#  Contributor(s):
#       James Wetter <wetter.j@gmail.com>
#       Daniel Price <daniel.price@monash.edu> (main contact)
#
#--------------------------------------------------------------------

.KEEP_STATE:

#
# Version info
#
GIZAV=0
MINORV=9
MICROV=0
VERSION=$(GIZAV).$(MINORV).$(MICROV)


KNOWN_SYSTEM=no
SRCDIR=../src
BINDIR=../bin
LIBDIR=../lib
INCDIR=../include
INTERFACEDIR=../interface
VPATH=$(SRCDIR) $(INTERFACEDIR)
SHELL=/bin/bash

#
# Some basic defaults
#
ifndef CC
CC= gcc
endif
ifndef CFLAGS
CFLAGS= -fPIC -Wall -Wextra -O3 -g
endif

#
# The prefix for the installed files
#
DESTDIR=
PREFIX=/usr/local

#
# Change the following lines if giza can't find x11 or cairo
#
X11DIR=/usr/X11R6/
#X11DIR=/opt/local/
X11LIBS= -L${X11DIR}/lib -lX11
CAIROLIBS= -L${X11DIR}/lib -lcairo
INCFLAGS= -I/${X11DIR}/include -I${X11DIR}/include/cairo -I$(PREFIX)/include -I$(INCDIR) -I$(SRCDIR)

LDFLAGS= $(X11LIBS) $(CAIROLIBS) -lm

#
#--if compiling with Freetype (experimental at this stage)
#
ifeq ($(USE_FREETYPE),yes)
FT_INCLUDE=-I${X11DIR}/include/freetype2
FT_LIBS= -lfreetype
INCFLACS+= $(FT_INCLUDE)
LDFLAGS+= $(FT_LIBS)
CPPFLAGS+= -DGIZA_HAS_FT_FONT
endif

#
# For creating the tarball
#
DISTDIR=giza-$(VERSION)

KNOWN_SYSTEM=no
OSTYPE=${shell uname}
#
# Settings for specific compilers
#
#ifeq ($(SYSTEM),linux)
  # using gcc
  CC= gcc
  CFLAGS= -fPIC -Wall -Wextra -O3 -g
  SHAREDLIBFLAGS= -shared
  DEBUGFLAG= -Wall -Wextra -g -O0
  RANLIB= ranlib
  LIBTOOL= $(CC) 
  FC= gfortran
  KNOWN_SYSTEM=yes
#endif

#
#--libpgplot needs to be linked against the
#  library from the Fortran compiler used
#
FLIBS= -L/usr/local/gfortran/lib/ -lgfortran

LIBEXT=.a

GIZALIB=$(LIBDIR)/libgiza
PGPLOTLIB=$(LIBDIR)/libpgplot
CPGPLOTLIB=$(LIBDIR)/libcpgplot

STATIC_LIB_GIZA=$(GIZALIB)$(LIBEXT)
STATIC_LIB_PGPLOT=$(PGPLOTLIB)$(LIBEXT)
STATIC_LIB_CPGPLOT=$(CPGPLOTLIB)$(LIBEXT)

ifeq ($(OSTYPE), Darwin)
   SHREXT=.dylib
   SHARED_LIB_GIZA_VERSION=$(GIZALIB).$(VERSION)$(SHREXT)
else
   SHREXT=.so
   SHARED_LIB_GIZA_VERSION=$(GIZALIB)$(SHREXT).$(VERSION)
endif

SHARED_LIB_GIZA=$(GIZALIB)$(SHREXT)
SHARED_LIB_PGPLOT=$(PGPLOTLIB)$(SHREXT)
SHARED_LIB_CPGPLOT=$(CPGPLOTLIB)$(SHREXT)

#
# Debug flags
#
ifeq ($(DEBUG),yes)
  CFLAGS += $(DEBUGFLAGS)
endif

#
# Some implicit rules
#
%.o: %.c
	$(CC) -c $(CFLAGS) $(INCFLAGS) $< -o $@
%.o : %.f90
	$(FC) $(FFLAGS) $(INCFLAGS) -c $< -o $@
%.o : %.F90
	$(FC) $(FFLAGS) $(INCFLAGS) -c $< -o $@

#
# The source files
#
SOURCE= giza-annotate.c giza-arrow-style.c giza-arrow.c giza-band-style.c \
	giza-band.c giza-box-time.c giza-box.c giza-buffering.c \
	giza-character-size.c giza-circle.c giza-clipping.c giza-colour-bar.c \
	giza-colour-index.c giza-colour-palette.c giza-colour-table.c \
	giza-contour.c giza-cursor-routines.c giza-device-has-cursor.c \
	giza-draw-background.c giza-draw.c giza-driver-eps.c giza-driver-null.c \
	giza-driver-pdf.c giza-driver-png.c giza-driver-ps.c giza-driver-svg.c \
	giza-driver-xw.c giza-drivers.c giza-environment.c giza-error-bars.c \
	giza-fill.c giza-format-number.c giza-function-t.c giza-function-x.c \
	giza-function-y.c giza-get-key-press.c giza-get-surface-size.c \
	giza-io.c giza-histogram.c giza-label.c giza-line-cap.c giza-line-style.c \
	giza-line-width.c giza-line.c giza-move.c giza-paper.c giza-points.c \
	giza-polygon.c giza-print-id.c giza-prompting.c giza-ptext.c \
	giza-qtext.c giza-rectangle.c giza-render.c giza-save.c giza-set-font.c \
	giza-stroke.c giza-subpanel.c giza-text-background.c giza-text.c giza-transforms.c \
	giza-vector.c giza-viewport.c giza-version.c giza-warnings.c giza-window.c giza.c \
	lex.yy.c
#
# Private header files
#
PHEADERS= giza-arrow-style-private.h giza-band-private.h \
	  giza-character-size-private.h giza-colour-private.h \
	  giza-cursor-private.h giza-driver-eps-private.h \
	  giza-driver-null-private.h giza-driver-pdf-private.h \
	  giza-driver-png-private.h giza-driver-ps-private.h \
	  giza-driver-svg-private.h giza-driver-xw-private.h \
	  giza-drivers-private.h giza-fill-private.h giza-io-private.h \
	  giza-line-style-private.h giza-private.h giza-prompting-private.h \
	  giza-render-private.h giza-set-font-private.h giza-stroke-private.h \
	  giza-subpanel-private.h giza-text-background-private.h giza-text-private.h \
	  giza-transforms-private.h giza-viewport-private.h \
	  giza-warnings-private.h giza-window-private.h

OBJECTS= $(SOURCE:.c=.o)

.PHONY: libgiza giza pgplot cpgplot

all: giza pgplot cpgplot

giza: libgiza $(SHARED_LIB_GIZA)

libgiza: $(STATIC_LIB_GIZA)
	@echo ""
	@echo "Finished building giza"
	@echo ""

pgplot: $(STATIC_LIB_PGPLOT) $(SHARED_LIB_PGPLOT)
	@echo ""
	@echo "Finished building libpgplot"
	@echo ""

cpgplot: $(STATIC_LIB_CPGPLOT) $(SHARED_LIB_CPGPLOT)
	@echo ""
	@echo "Finished building libcpgplot"
	@echo ""

#
#--static libraries
#
$(STATIC_LIB_GIZA): checksystem $(INCDIR)/giza-version.h $(OBJECTS)
	ar ru $@ $(OBJECTS)
	$(RANLIB) $@

$(STATIC_LIB_PGPLOT): $(INCDIR)/giza-version.h $(OBJECTS) giza-fortran.o giza-pgplot.o
	ar ru $@ $(OBJECTS) giza-fortran.o giza-pgplot.o
	$(RANLIB) $@

$(STATIC_LIB_CPGPLOT): $(INCDIR)/giza-version.h $(OBJECTS) giza-cpgplot.o
	ar ru $@ $(OBJECTS) giza-cpgplot.o
	$(RANLIB) $@

#
#--dynamic libraries
#
$(SHARED_LIB_GIZA): $(INCDIR)/giza-version.h $(OBJECTS)
	$(LIBTOOL) $(SHAREDLIBFLAGS) -o $(SHARED_LIB_GIZA_VERSION) $(OBJECTS) $(LDFLAGS)
	ln -sf $(SHARED_LIB_GIZA_VERSION) $(SHARED_LIB_GIZA)

$(SHARED_LIB_PGPLOT): $(INCDIR)/giza-version.h $(OBJECTS) giza-fortran.o giza-pgplot.o
	$(LIBTOOL) $(SHAREDLIBFLAGS) -o $(SHARED_LIB_PGPLOT) $(OBJECTS) giza-fortran.o giza-pgplot.o $(LDFLAGS) $(FLIBS)

$(SHARED_LIB_CPGPLOT):  $(INCDIR)/giza-version.h $(OBJECTS) giza-cpgplot.o
	$(LIBTOOL) $(SHAREDLIBFLAGS) -o $@ $(OBJECTS) giza-cpgplot.o $(LDFLAGS)

#
#--header file specifying current giza version
#
$(INCDIR)/giza-version.h:
	@echo "creating $@"
	@echo "#define GIZA_VERSION_MAJOR $(GIZAV)" > $@
	@echo "#define GIZA_VERSION_MINOR $(MINORV)" >> $@
	@echo "#define GIZA_VERSION_MICRO $(MICROV)" >> $@
	@echo "#define GIZA_VERSION_STRING \"$(VERSION)\"" >> $@
#
#--other dependencies
#
.PHONY: install installgiza installpgplot dist clean

install: installpgplot destdircheck checksystem giza

installgiza: destdircheck checksystem giza
	cp $(STATIC_LIB_GIZA) $(DESTDIR)$(PREFIX)/lib/
	cp $(SHARED_LIB_GIZA) $(DESTDIR)$(PREFIX)/lib/
	cp $(INCDIR)/giza-shared.h  $(DESTDIR)$(PREFIX)/include/
	cp $(INCDIR)/giza-version.h $(DESTDIR)$(PREFIX)/include/
	cp $(INCDIR)/giza.h         $(DESTDIR)$(PREFIX)/include/

installpgplot: installgiza pgplot cpgplot
	cp $(STATIC_LIB_PGPLOT)  $(DESTDIR)$(PREFIX)/lib/
	cp $(SHARED_LIB_PGPLOT)  $(DESTDIR)$(PREFIX)/lib/
	cp $(STATIC_LIB_CPGPLOT) $(DESTDIR)$(PREFIX)/lib/
	cp $(SHARED_LIB_CPGPLOT) $(DESTDIR)$(PREFIX)/lib/
	cp $(INCDIR)/cpgplot.h $(DESTDIR)$(PREFIX)/include/

distclean: destdircheck clean
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(STATIC_LIB_GIZA)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(SHARED_LIB_GIZA)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(STATIC_LIB_PGPLOT)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(SHARED_LIB_PGPLOT)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(STATIC_LIB_CPGPLOT)
	@rm -f $(DESTDIR)$(PREFIX)/lib/$(SHARED_LIB_CPGPLOT)
	@rm -f $(DESTDIR)$(PREFIX)/include/giza-shared.h
	@rm -f $(DESTDIR)$(PREFIX)/include/giza-version.h
	@rm -f $(DESTDIR)$(PREFIX)/include/giza.h

destdircheck:
	@if test -d $(DESTDIR)$(PREFIX)/lib; then echo $(DESTDIR)$(PREFIX)/lib exists and is a directory; else \
        echo; echo "*** ERROR in make install ***"; echo "$(DESTDIR)$(PREFIX)/lib is not a valid directory"; echo;\
        $(MAKE) err; fi;

dist: distclean
	@echo "building tarball of ${DISTDIR}"
	cd ..; git archive master --format=tar.gz --prefix=$(DISTDIR)/ > ${DISTDIR}.tar.gz

clean: cleantest
	rm -f $(LIBDIR)/libgiza* $(LIBDIR)/libpgplot* $(LIBDIR)/libcpgplot* *.o *.mod $(INCDIR)/giza-version.h ../*.tar.gz

cleantest:
	cd ../test; $(MAKE) clean

cleandist: clean
	rm -fr ../$(DISTDIR)
	rm -f ../$(DISTDIR).tar.gz

checksystem:
    ifeq ($(KNOWN_SYSTEM), yes)
	@echo ""
	@echo "Compiling giza-$(VERSION) for $(SYSTEM) system..........."
	@echo ""
    else
	@echo ""
	@echo " Makefile for giza by James Wetter and Daniel Price "
	@echo ""
	@echo " make: ERROR: value of SYSTEM=$(SYSTEM) not recognised..."
	@echo " => set the environment variable SYSTEM to one listed "
	@echo "    in build/Makefile and try again"
	@echo ""
    endif

=== giza/test/Makefile ===
CC=gcc
#PREFIX=/usr/X11R6
PREFIX=/opt/local
CFLAGS=-I${PREFIX}/include -I../include/
CAIROFLAGS= -L${PREFIX}/lib -lX11 -lcairo
LDFLAGS=-L../lib/ -lgiza
FC=gfortran
FFLAGS=-O0 -Wall -I../include/
VPATH=../interface/

%.o : %.f90
	$(FC) $(FFLAGS) -c $< -o $@

%.o : %.F90
	$(FC) $(FFLAGS) -c $< -o $@

all: test-arrow test-box test-giza-xw test-cairo-xw test-png test-pdf test-fortran

test-arrow: test-arrow.o
	$(CC) -o $@ $< $(LDFLAGS)

text-box: test-box.o
	$(CC) -o $@ $< $(LDFLAGS)

test-giza-xw: test-xw.o
	$(CC) -o $@ $< $(LDFLAGS)

test-cairo-xw: test-cairo-xw.o
	$(CC) -o $@ $< $(CAIROFLAGS)

test-png: test-png.o
	$(CC) -o $@ $< $(LDFLAGS)

test-pdf: test-pdf.o
	$(CC) -o $@ $< $(LDFLAGS)

OBJ=giza-fortran.o test-img.o
test-fortran: $(OBJ)
	$(FC) $(FFLAGS) -o $@ $(OBJ) $(LDFLAGS)

OBJ1=giza-fortran.o test-2D.o
test-2D: $(OBJ1)
	$(FC) $(FFLAGS) -o $@ $(OBJ1) $(LDFLAGS)

clean:
	rm -f *.o *.mod test-giza-xw test-cairo-xw test-png test-pdf test-fortran

=== debian/changelog ===
splash (2.5.0-1) unstable; urgency=low

  * New upstream release
  * Update standards version to 3.9.6. No changes needed.
  * Update maintainers e-mail address

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Oct 2014 20:42:57 +0200

splash (2.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #649603)

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 16 Aug 2014 13:33:15 +0200

## splash 2.5.1

=== build/Makefile ===
--- 
+++ 
@@ -40,10 +40,10 @@
 #--------------------------------------------------------------
 ifneq ($(BACKEND), pgplot)
 #-- C A I R O --
-   GIZADIR= ../giza
-   VPATH+= $(GIZADIR)/interface/
+   GIZA_DIR= ../giza
+   VPATH+= $(GIZA_DIR)/interface/
    PLOTLIB= giza-fortran.F90 plotlib_giza.f90
-   PGPLOTLIBS = -L$(GIZADIR)/lib -lgiza -lcairo -lX11
+   PGPLOTLIBS = -L$(GIZA_DIR)/lib -lgiza -lcairo -lX11
    CFLAGS= -fPIC -Wall -Wextra -O3 -g
    CC = gcc
 else

=== giza/build/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #
 GIZAV=0
 MINORV=9
-MICROV=0
+MICROV=2
 VERSION=$(GIZAV).$(MINORV).$(MICROV)
 
 
@@ -51,6 +51,12 @@
 endif
 ifndef CFLAGS
 CFLAGS= -fPIC -Wall -Wextra -O3 -g
+endif
+ifndef FC
+FC= gfortran
+endif
+ifndef FFLAGS
+FFLAGS= -fPIC -Wall -Wextra -O3
 endif
 
 #
@@ -100,14 +106,9 @@
   RANLIB= ranlib
   LIBTOOL= $(CC) 
   FC= gfortran
+  FFLAGS= -fPIC -Wall -Wextra -O3
   KNOWN_SYSTEM=yes
 #endif
-
-#
-#--libpgplot needs to be linked against the
-#  library from the Fortran compiler used
-#
-FLIBS= -L/usr/local/gfortran/lib/ -lgfortran
 
 LIBEXT=.a
 
@@ -230,7 +231,7 @@
 	ln -sf $(SHARED_LIB_GIZA_VERSION) $(SHARED_LIB_GIZA)
 
 $(SHARED_LIB_PGPLOT): $(INCDIR)/giza-version.h $(OBJECTS) giza-fortran.o giza-pgplot.o
-	$(LIBTOOL) $(SHAREDLIBFLAGS) -o $(SHARED_LIB_PGPLOT) $(OBJECTS) giza-fortran.o giza-pgplot.o $(LDFLAGS) $(FLIBS)
+	$(FC) $(SHAREDLIBFLAGS) -o $(SHARED_LIB_PGPLOT) $(OBJECTS) giza-fortran.o giza-pgplot.o $(LDFLAGS)
 
 $(SHARED_LIB_CPGPLOT):  $(INCDIR)/giza-version.h $(OBJECTS) giza-cpgplot.o
 	$(LIBTOOL) $(SHAREDLIBFLAGS) -o $@ $(OBJECTS) giza-cpgplot.o $(LDFLAGS)
@@ -251,12 +252,13 @@
 
 install: installpgplot destdircheck checksystem giza
 
-installgiza: destdircheck checksystem giza
+installgiza: destdircheck checksystem giza giza-fortran.o
 	cp $(STATIC_LIB_GIZA) $(DESTDIR)$(PREFIX)/lib/
 	cp $(SHARED_LIB_GIZA) $(DESTDIR)$(PREFIX)/lib/
 	cp $(INCDIR)/giza-shared.h  $(DESTDIR)$(PREFIX)/include/
 	cp $(INCDIR)/giza-version.h $(DESTDIR)$(PREFIX)/include/
 	cp $(INCDIR)/giza.h         $(DESTDIR)$(PREFIX)/include/
+	cp giza.mod                 $(DESTDIR)$(PREFIX)/include/
 
 installpgplot: installgiza pgplot cpgplot
 	cp $(STATIC_LIB_PGPLOT)  $(DESTDIR)$(PREFIX)/lib/
@@ -275,6 +277,7 @@
 	@rm -f $(DESTDIR)$(PREFIX)/include/giza-shared.h
 	@rm -f $(DESTDIR)$(PREFIX)/include/giza-version.h
 	@rm -f $(DESTDIR)$(PREFIX)/include/giza.h
+	@rm -f $(DESTDIR)$(PREFIX)/include/giza.mod
 
 destdircheck:
 	@if test -d $(DESTDIR)$(PREFIX)/lib; then echo $(DESTDIR)$(PREFIX)/lib exists and is a directory; else \

=== debian/changelog ===
splash (2.5.1-1) unstable; urgency=low

  * New upstream version
  * Create upstream/metadata with bibliographic information

 -- Ole Streicher <olebole@debian.org>  Sat, 25 Apr 2015 14:39:29 +0200

## splash 2.6.0

=== build/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 # (some settings of the SYSTEM variable for specific machines overwrite this)
 #
 # X11LIBS= -L/usr/X11R6/lib64 -lX11
-X11LIBS= -L/usr/X11R6/lib -lX11
+X11LIBS= -L/usr/X11/lib -lX11
 
 #--------------------------------------------------------------
 # here we choose the backend plotting library for splash
@@ -103,6 +103,9 @@
 ifndef CC
 CC = gcc
 endif
+ifndef CXX
+CXX = g++
+endif
 #--------------------------------------------------------------
 #  the following are general settings for particular compilers
 #
@@ -171,7 +174,8 @@
 ifeq ($(SYSTEM),ifort)
 #  this is for the intel fortran compiler (version 10)
    FC= ifort
-   FFLAGS= -O3 -nbs -i_dynamic
+#   FFLAGS= -O3 -nbs -i_dynamic
+   FFLAGS= -O3 -nbs
    OMPFLAGS= -openmp
    DBLFLAGS= -r8
    DEBUGFLAG= -C -g
@@ -395,5 +399,3 @@
     ENDIANFLAGBIG= -fconvert=big-endian
     ENDIANFLAGLITTLE= -fconvert=little-endian
     SNFLAGS= -L$(HOME)/tree16/Objfiles/g5 -lsw
-    CFLAGS = -g -O2 -Wall -I$(HOME)/tree16/include -fbounds-check
-    CC = gcc

=== giza/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #  giza - a scientific plotting library built on cairo
 #
 #  Copyright (c) 2010      James Wetter and Daniel Price
-#  Copyright (c) 2010-2013 Daniel Price
+#  Copyright (c) 2010-2014 Daniel Price
 #
 #  This library is free software; and you are welcome to redistribute
 #  it under the terms of the GNU General Public License

=== giza/build/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 #
 GIZAV=0
 MINORV=9
-MICROV=2
+MICROV=3
 VERSION=$(GIZAV).$(MINORV).$(MICROV)
 
 
@@ -42,7 +42,7 @@
 INTERFACEDIR=../interface
 VPATH=$(SRCDIR) $(INTERFACEDIR)
 SHELL=/bin/bash
-
+OSTYPE=${shell uname -s}
 #
 # Some basic defaults
 #
@@ -68,11 +68,15 @@
 #
 # Change the following lines if giza can't find x11 or cairo
 #
-X11DIR=/usr/X11R6/
-#X11DIR=/opt/local/
+ifeq ($(OSTYPE), Darwin)
+   #X11DIR=/opt/local/
+   X11DIR=/usr/X11
+else
+   X11DIR=/usr/X11R6
+endif
 X11LIBS= -L${X11DIR}/lib -lX11
 CAIROLIBS= -L${X11DIR}/lib -lcairo
-INCFLAGS= -I/${X11DIR}/include -I${X11DIR}/include/cairo -I$(PREFIX)/include -I$(INCDIR) -I$(SRCDIR)
+INCFLAGS= -I${X11DIR}/include -I${X11DIR}/include/cairo -I$(PREFIX)/include -I$(PREFIX)/include/cairo -I$(INCDIR) -I$(SRCDIR)
 
 LDFLAGS= $(X11LIBS) $(CAIROLIBS) -lm
 
@@ -93,7 +97,6 @@
 DISTDIR=giza-$(VERSION)
 
 KNOWN_SYSTEM=no
-OSTYPE=${shell uname}
 #
 # Settings for specific compilers
 #

=== giza/test/Makefile ===
CC=gcc
#PREFIX=/usr/X11R6
PREFIX=/opt/local
CFLAGS=-I${PREFIX}/include -I../include/
CAIROFLAGS= -L${PREFIX}/lib -lX11 -lcairo
LDFLAGS=-L../lib/ -lgiza -lm
FC=gfortran
FFLAGS=-O0 -Wall -I../include/
VPATH=../interface/
PGFLAGS=-L$(PGPLOT_DIR) -lpgplot -L/${PREFIX}/lib -lX11 -lpng

%.o : %.f90
	$(FC) $(FFLAGS) -c $< -o $@

%.o : %.F90
	$(FC) $(FFLAGS) -c $< -o $@

all: test-arrow test-box test-giza-xw test-cairo-xw test-png test-pdf test-svg test-fortran test-2D

testpg: test-pgncur test-pgaxis

test-arrow: test-arrow.o
	$(CC) -o $@ $< $(LDFLAGS)

text-box: test-box.o
	$(CC) -o $@ $< $(LDFLAGS)

test-giza-xw: test-giza-xw.o
	$(CC) -o $@ $< $(LDFLAGS)

test-cairo-xw: test-cairo-xw.o
	$(CC) -o $@ $< $(CAIROFLAGS)

test-png: test-png.o
	$(CC) -o $@ $< $(LDFLAGS)

test-pdf: test-pdf.o
	$(CC) -o $@ $< $(LDFLAGS)

test-svg: test-svg.o
	$(CC) -o $@ $< $(LDFLAGS)

OBJ=giza-fortran.o test-fortran.o
test-fortran: $(OBJ)
	$(FC) $(FFLAGS) -o $@ $(OBJ) $(LDFLAGS)

OBJ1=giza-fortran.o test-2D.o
test-2D: $(OBJ1)
	$(FC) $(FFLAGS) -o $@ $(OBJ1) $(LDFLAGS)

test-pgncur: test-pgncur.o
	$(FC) $(FFLAGS) -o $@ test-pgncur.o $(PGFLAGS)

test-pgaxis: test-pgaxis.o
	$(FC) $(FFLAGS) -o $@ test-pgaxis.o $(PGFLAGS)

clean:
	rm -f *.o *.mod giza*.png test*.png test*.svg test*.pdf \
                        test-arrow test-box test-giza-xw \
                        test-cairo-xw test-png test-pdf test-svg \
                        test-fortran test-2D test-pgncur test-pgaxis

=== debian/changelog ===
splash (2.6.0-2) unstable; urgency=low

  * Update standards-version to 3.9.8 (no changes)
  * Update VCS fields, add ASCL-Id
  * Build-depend of giza instead of using a local copy

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Jun 2016 21:23:21 +0200

splash (2.6.0-1) unstable; urgency=low

  * New upstream version

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Oct 2015 09:54:31 +0200

=== debian/control ===
Source: splash
Section: science
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 9),
               gfortran,
               giza-dev,
               help2man,
               texlive-fonts-recommended,
               texlive-generic-recommended,
               texlive-latex-base,
               texlive-latex-recommended
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/splash.git
Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/splash.git
Homepage: http://users.monash.edu.au/~dprice/splash/

Package: splash
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Visualisation tool for Smoothed Particle Hydrodynamics simulation
 This (formerly SUPERSPHPLOT) is a visualisation tool for output from
 (astrophysical) simulations using the Smoothed Particle Hydrodynamics
 (SPH) method in one, two and three dimensions. It is written in
 Fortran 90 and can utilise the PGPLOT graphics subroutine library to do
 the actual plotting. It is based around a command-line menu structure
 but utilises the interactive capabilities of PGPLOT to manipulate data
 interactively in the plotting window.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export SYSTEM=gfortran

%:
	dh $@

override_dh_installdocs:
	$(MAKE) docs
	dh_installdocs

override_dh_installman:
	mkdir -p man
	help2man ./bin/splash | sed "s/^.*manual page for SPLASH:/splash \\-\\-/" > man/splash.1
	for i in `ls bin` ; do \
	  if [ ! -f man/$$i.1 ] ; then \
	    ln -s splash.1 man/$$i.1 ; \
	  fi ; \
	done
	dh_installman

override_dh_clean:
	dh_clean

## splash 2.7.0

=== build/Makefile ===
--- 
+++ 
@@ -30,8 +30,12 @@
 # change the line below if SPLASH does not find the X11 libraries
 # (some settings of the SYSTEM variable for specific machines overwrite this)
 #
-# X11LIBS= -L/usr/X11R6/lib64 -lX11
-X11LIBS= -L/usr/X11/lib -lX11
+# X11_LIBS= -L/usr/X11R6/lib64 -lX11
+X11_DIR= /usr/X11/
+X11_LIBS= -L$(X11_DIR)/lib -lX11
+X11_CFLAGS= -I$(X11_DIR)/include
+CAIRO_LIBS= -L$(X11_DIR)/lib -lcairo
+CAIRO_CFLAGS= -I$(X11_DIR)/include
 
 #--------------------------------------------------------------
 # here we choose the backend plotting library for splash
@@ -41,9 +45,9 @@
 ifneq ($(BACKEND), pgplot)
 #-- C A I R O --
    GIZA_DIR= ../giza
-   VPATH+= $(GIZA_DIR)/interface/
+   VPATH+= $(GIZA_DIR)/interface/ $(GIZA_DIR)/include $(GIZA_DIR)/src/
    PLOTLIB= giza-fortran.F90 plotlib_giza.f90
-   PGPLOTLIBS = -L$(GIZA_DIR)/lib -lgiza -lcairo -lX11
+   PGPLOTLIBS = -L$(GIZA_DIR)/lib -lgiza $(CAIRO_LIBS)
    CFLAGS= -fPIC -Wall -Wextra -O3 -g
    CC = gcc
 else
@@ -106,6 +110,16 @@
 ifndef CXX
 CXX = g++
 endif
+
+# default C++ library linking
+# (different between Mac/Linux)
+UNAME=$(shell uname)
+ifeq ($(UNAME), Darwin)
+    CXXLIBS= -lc++
+else
+    CXXLIBS= -lstdc++
+endif
+
 #--------------------------------------------------------------
 #  the following are general settings for particular compilers
 #
@@ -244,7 +258,7 @@
    OMPFLAGS= -qsmp=omp
    DEBUGFLAG= -C -g
    SYSTEMFILE= system_f2003.f90
-   X11LIBS= -L/usr/X11R6/lib -lX11
+   X11_LIBS= -L/usr/X11R6/lib -lX11
    PGPLOTLIBS=   
    STATICLIBS= /home/dprice/pgplot/libpgplot.a /home/dprice/plot/libg2cmodified.a 
    KNOWN_SYSTEM=yes
@@ -260,7 +274,7 @@
    SYSTEMFILE= system_f2003.f90
    ENDIANFLAGBIG= -convert big_endian
    ENDIANFLAGLITTLE= -convert little_endian
-   X11LIBS= -L/home/dprice/lib -lX11 -lpng
+   X11_LIBS= -L/home/dprice/lib -lX11 -lpng
    PGPLOTLIBS= -L/home/dprice/pgplot2 -lpgplot
    EXT=2   # call the binary something different
    KNOWN_SYSTEM=yes
@@ -275,7 +289,7 @@
    SYSTEMFILE= system_f2003.f90
    ENDIANFLAGBIG= -convert big_endian
    ENDIANFLAGLITTLE= -convert little_endian
-   X11LIBS=-L/home/djp212/lib -lX11
+   X11_LIBS=-L/home/djp212/lib -lX11
    PGPLOTLIBS= -lpng #-L${PGPLOT_DIR} -lpgplot -lpng
    STATICLIBS= /home/djp212/pgplot/libpgplot.a
 # or use setenv F_UFMTENDIAN=big or little at runtime
@@ -327,7 +341,7 @@
 #  using the g95 compiler
    FC= myg95
    FFLAGS= -O3 -ffast-math
-   X11LIBS= -L/usr/X11R6/lib64 -lX11
+   X11_LIBS= -L/usr/X11R6/lib64 -lX11
    PGPLOTLIBS = -L/usr/local64/pgplot -lpgplot -lpng -lg2c
    SYSTEMFILE= system_f2003.f90 # this is for Fortran 2003 compatible compilers
    ENDIANFLAGBIG= -fendian='BIG'
@@ -348,7 +362,7 @@
       EXT= _ppc
    endif
    FFLAGS= -O3 -ffast-math -Wall -Wextra -Wno=165 
-   X11LIBS= -L/usr/X11R6/lib -lX11
+   X11_LIBS= -L/usr/X11R6/lib -lX11
    PGPLOTLIBS= -lSystemStubs
    STATICLIBS= /AstroUsers/djp212/pgplot/libpgplot.a
    SYSTEMFILE= system_f2003.f90
@@ -363,7 +377,7 @@
 #  using the g95 compiler on the Astrophysics cluster in Exeter
    FC= g95
    FFLAGS= -O3 -ffast-math -Wall -Wextra -Wno=165
-   X11LIBS= -L/usr/X11R6/lib -lX11
+   X11_LIBS= -L/usr/X11R6/lib -lX11
    PGPLOTLIBS= -L/opt/local/lib -lpng -lg2c
    STATICLIBS= /usr/local/pgplot/libpgplot.a
    SYSTEMFILE= system_f2003.f90
@@ -385,17 +399,9 @@
    SYSTEMFILE= system_f2003.f90
    ENDIANFLAGBIG= -xfilebyteorder=big16:%all
    ENDIANFLAGLITTLE= -xfilebyteorder=little16:%all
-   X11LIBS = -L/usr/X11R6/lib64 -lX11
+   X11_LIBS = -L/usr/X11R6/lib64 -lX11
    KNOWN_SYSTEM=yes
 endif
 
 ifeq ($(SYSTEM),cody)
     FC= gfortran
-    FFLAGS= -O3 -Wall
-    SYSTEMFILE= system_f2003.f90
-    DBLFLAGS= -fdefault-real-8 -fdefault-double-8
-    DEBUGFLAG= -g -frange-check
-    OMPFLAGS= -fopenmp
-    ENDIANFLAGBIG= -fconvert=big-endian
-    ENDIANFLAGLITTLE= -fconvert=little-endian
-    SNFLAGS= -L$(HOME)/tree16/Objfiles/g5 -lsw

=== debian/changelog ===
splash (2.7.0-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 18:12:53 +0000

splash (2.7.0-1) unstable; urgency=low

  * New upstream version 2.7.0
  * Update standards-version to 4.0.0 (no changes)

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jun 2017 20:57:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                texlive-generic-recommended,
                texlive-latex-base,
                texlive-latex-recommended
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/splash.git
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/splash.git
 Homepage: http://users.monash.edu.au/~dprice/splash/

=== debian/rules ===
--- 
+++ 
@@ -20,5 +20,5 @@
 	done
 	dh_installman
 
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
+	make clean

## splash 2.8.0

=== build/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 #
 # some default settings for unix systems
 #
-FC= 
+FC=
 FFLAGS=
 #
 # change the line below if SPLASH does not find the X11 libraries
@@ -44,8 +44,8 @@
 #--------------------------------------------------------------
 ifneq ($(BACKEND), pgplot)
 #-- C A I R O --
-   GIZA_DIR= ../giza
-   VPATH+= $(GIZA_DIR)/interface/ $(GIZA_DIR)/include $(GIZA_DIR)/src/
+   GIZA_DIR= $(PREFIX)
+   VPATH+= $(GIZA_DIR)/include
    PLOTLIB= giza-fortran.F90 plotlib_giza.f90
    PGPLOTLIBS = -L$(GIZA_DIR)/lib -lgiza $(CAIRO_LIBS)
    CFLAGS= -fPIC -Wall -Wextra -O3 -g
@@ -67,7 +67,7 @@
 #
 HDF5LIBS    = -L$(HDF5ROOT)/lib -lhdf5
 HDF5INCLUDE = -I$(HDF5ROOT)/include
-H5PART_LIBS    = -L$(H5PART_DIR)/lib -lpH5Part
+H5PART_LIBS    = -L$(H5PART_DIR)/lib -lH5Part
 H5PART_INCLUDE = -I$(H5PART_DIR)/include
 #
 # this file contains system-dependent routines like getarg, iargc etc.
@@ -254,19 +254,19 @@
 ifeq ($(SYSTEM),ukaff1a)
 #  this is for ukaff1a
    FC= xlf90_r #-Wl,-t
-   FFLAGS= -O3 -qnoescape -qsuffix=f=f90 -qextname 
+   FFLAGS= -O3 -qnoescape -qsuffix=f=f90 -qextname
    OMPFLAGS= -qsmp=omp
    DEBUGFLAG= -C -g
    SYSTEMFILE= system_f2003.f90
    X11_LIBS= -L/usr/X11R6/lib -lX11
-   PGPLOTLIBS=   
-   STATICLIBS= /home/dprice/pgplot/libpgplot.a /home/dprice/plot/libg2cmodified.a 
+   PGPLOTLIBS=
+   STATICLIBS= /home/dprice/pgplot/libpgplot.a /home/dprice/plot/libg2cmodified.a
    KNOWN_SYSTEM=yes
 #   EXT=_temp
 endif
 
 ifeq ($(SYSTEM),ukaff1b)
-#  this is for the new nodes on ukaff 
+#  this is for the new nodes on ukaff
    FC= pathf95
    FFLAGS= -Ofast -mcmodel=medium
    DEBUGFLAG= -C -g
@@ -298,7 +298,7 @@
 endif
 
 ifeq ($(SYSTEM),mymac)
-#  these are the settings for a Mac G4 running Panther 
+#  these are the settings for a Mac G4 running Panther
 #  using g95 with pgplot installed via fink
    FC= g95
    FFLAGS= -O3 -ffast-math
@@ -361,7 +361,7 @@
       FC= g95
       EXT= _ppc
    endif
-   FFLAGS= -O3 -ffast-math -Wall -Wextra -Wno=165 
+   FFLAGS= -O3 -ffast-math -Wall -Wextra -Wno=165
    X11_LIBS= -L/usr/X11R6/lib -lX11
    PGPLOTLIBS= -lSystemStubs
    STATICLIBS= /AstroUsers/djp212/pgplot/libpgplot.a
@@ -405,3 +405,5 @@
 
 ifeq ($(SYSTEM),cody)
     FC= gfortran
+    FFLAGS= -O3 -Wall
+    SYSTEMFILE= system_f2003.f90

=== debian/changelog ===
splash (2.8.0-1) unstable; urgency=low

  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.1.3. Change URLs to https
  * Push Compat to 11
  * New upstream version 2.8.0. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Apr 2018 15:58:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                gfortran,
                giza-dev,
                help2man,
@@ -11,9 +11,9 @@
                texlive-generic-recommended,
                texlive-latex-base,
                texlive-latex-recommended
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/splash.git
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/splash.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/splash
+Vcs-Git: https://salsa.debian.org/debian-astro-team/splash.git
 Homepage: http://users.monash.edu.au/~dprice/splash/
 
 Package: splash

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export SYSTEM=gfortran
 
 %:
-	dh $@
+	dh $@ --no-parallel
 
 override_dh_installdocs:
 	$(MAKE) docs

=== debian/watch ===
version=3
http://users.monash.edu.au/~dprice/splash/releases/ splash-(.*)\.tar\.gz
